package com.zhyc.module.sale.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhyc.module.sale.mapper.SxCustomerMapper;
import com.zhyc.module.sale.domain.SxCustomer;
import com.zhyc.module.sale.service.ISxCustomerService;

@Service
public class SxCustomerServiceImpl implements ISxCustomerService {
    @Autowired
    private SxCustomerMapper sxCustomerMapper;

    @Override
    public SxCustomer selectSxCustomerById(Long id) {
        return sxCustomerMapper.selectSxCustomerById(id);
    }

    @Override
    public List<SxCustomer> selectSxCustomerList(SxCustomer sxCustomer) {
        return sxCustomerMapper.selectSxCustomerList(sxCustomer);
    }

    @Override
    public int insertSxCustomer(SxCustomer sxCustomer) {
        return sxCustomerMapper.insertSxCustomer(sxCustomer);
    }

    @Override
    public int updateSxCustomer(SxCustomer sxCustomer) {
        return sxCustomerMapper.updateSxCustomer(sxCustomer);
    }

    @Override
    public int deleteSxCustomerByIds(Long[] ids) {
        return sxCustomerMapper.deleteSxCustomerByIds(ids);
    }

    @Override
    public int deleteSxCustomerById(Long id) {
        return sxCustomerMapper.deleteSxCustomerById(id);
    }
}
